    dfa_determinize

DFA_DETERMINIZE(1)

NAME

    dfa_determinize
   - Determinize NFA grammar network.

SYNOPSIS

dfa_determinize [-o outfile] {dfafile}

DESCRIPTION

dfa_determinize converts a non-deterministic .dfa file into deterministic DFA. Output to standard output, or file specified by "-o" option.

This additional tool is not necessary on a grammar building procedure in Julius, since the grammar network generated by mkdfa.pl is always determinized.

OPTIONS

-o outfile
    Outout file. If not specified, output to stdout.

EXAMPLES

Determinize foo.dfa to bar.dfa:

Another way:

SEE ALSO

mkdfa.pl ( 1 ) , dfa_minimize ( 1 )

COPYRIGHT

Copyright (c) 1997-2000 Information-technology Promotion Agency, Japan

Copyright (c) 1991-2008 Kawahara Lab., Kyoto University

Copyright (c) 2000-2005 Shikano Lab., Nara Institute of Science and Technology

Copyright (c) 2005-2008 Julius project team, Nagoya Institute of Technology

LICENSE

The same as Julius.